Admin section navigation for webservices is clumsy

Bug #1396435 reported by Robert Lyon on 2014-11-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

Currently to even find the webservices submenu one needs to got to Extensions and click on the Auth webservices configuration link.

Then suddenly a bunch of new submenu items appear and these pages look to live in three different areas of the admin section menu.

What is needed is to work out where to place the webservices group with the admin menu and have all the apages be children of the webservices group.

Marking this high as it's hard to use/find things currently

Robert, let's discuss this with a screen in front of us.

Changed in mahara:
status: New → Confirmed
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4052

Robert Lyon (robertl-9) on 2014-12-02
Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 15.04.0
Robert Lyon (robertl-9) wrote :

To test out the change for the tertiary menu option: (comment taken from patch comment)

To add tertiary items to the top menu we set the menu item's path to include a third item eg:

path = 'myportfolio/collection/add'

If we want the tertiary menu item to link to a subnav item we add the 'parent' option to the menu item. It needs to match the 'path' value of the subnav menu item you want it to be the child of. This allows the item to be highlighted on page load after it (or it's parent) has been selected eg:

parent = 'myportfolio/collection

To test - either check out https://reviews.mahara.org/#/c/4052/, which has this tertiary menu in play for the webservices stuff under admin -> extensions

or checkout https://reviews.mahara.org/#/c/4051/ and edit the lib/web.php and add some tertiary level items to a *_nav() menu (not rightnav one though)
eg: mahara_standard_nav()

add after the myportfolio/collection array, this:

'myportfolio/collection/list' => array(
'path' => 'myportfolio/collection/list',
'parent' => 'myportfolio/collection',
'url' => 'collection/index.php',
'title' => get_string('Collections', 'collection'),
'weight' => 10,
),
'myportfolio/collection/add' => array(
'path' => 'myportfolio/collection/add',
'url' => 'collection/index.php',
'title' => 'Add collection',
'weight' => 20,
),

This will add two tertiary items to the nav menu

Reviewed: https://reviews.mahara.org/4051
Committed: http://gitorious.org/mahara/mahara/commit/0999b8e9c948d2a66adf220ab6780ccab19ea050
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 0999b8e9c948d2a66adf220ab6780ccab19ea050
Author: Robert Lyon <email address hidden>
Date: Wed Dec 3 10:09:19 2014 +1300

Allow for tertiary level menu items (Bug #1396435)

Will need some design team cleaning up of the css so best test to make
sure it functionally works/makes sense

Change-Id: I3ac5e45aa1210c14a93b18c31a0c826a1b2dfd83
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4052
Committed: http://gitorious.org/mahara/mahara/commit/46f751431e6f1fdffe87f748272b7dbd640657db
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 46f751431e6f1fdffe87f748272b7dbd640657db
Author: Robert Lyon <email address hidden>
Date: Wed Dec 3 10:17:32 2014 +1300

Tidying up the webservices menu structure (Bug #1396435)

Before, the webservices admin pages were appearing under various
different menus.

I've taken them and put them as a third tier under
the Extensions -> Webservices menu

Change-Id: I8866da25ec54ba1a98392bfde628fe5182602270
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/4083
Committed: http://gitorious.org/mahara/mahara/commit/0fd798949b6633eb955f9912d1a221539fef20f6
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 0fd798949b6633eb955f9912d1a221539fef20f6
Author: Robert Lyon <email address hidden>
Date: Fri Dec 12 10:00:07 2014 +1300

Updating the config edit pages to use new menu structure (Bug #1396435)

For serviceconfig.php, tokenconfig.php, and userconfig.php

Got missed from earlier tidy menu patch.

Also needed to make the edit/delete forms not be jsforms as they
didn't work right

Change-Id: I110813d9460fbd199a10291c24fb4e5ece4fc4c9
Signed-off-by: Robert Lyon <email address hidden>
Signed-off-by: Yuliya <email address hidden>

Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers